Subject: bug#28611: 26.0.60; iconifying a child frame seems to be problematic

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 27 Sep 2017 18:21:10 +0900

>>>>> On Wed, 27 Sep 2017 10:13:13 +0200, martin rudalics <[email-masked]> said:

>> Steps to reproduce:
>> 
>> 1. $ emacs -Q &
>> 2. Enlarge the frame a bit by mouse.
>> 3. Type (make-frame `((parent-frame . ,(selected-frame)))) C-j
>> 4. Click the newly created child frame.
>> 5. Type (iconify-frame) C-j
>> 
>> Result:
>> 
>> The child frame becomes unresponsive.
>> The parent frame can take input, but the cursor is still hollow.
>> 
>> Maybe an attempt to iconify a child frame should cause an error.

> We warn about this in the Elisp manual:

>     * The semantics of maximizing and iconifying child frames is highly
>       window-system dependent.  As a rule, applications should never
>       invoke these operations for child frames.

I've overlooked that.  Thanks for the info.

> I'm not sure whether we should do more about this given the fact that
> these operations may and should work well on other window systems.

I think at least C-z should iconify the top-level frame so users may
not confuse.

> BTW: Does ‘make-frame-visible’ invoked for the child frame make it
> responsive again?

Yes.

				     YAMAMOTO Mitsuharu
				[email-masked]